Eclipse Rich Ajax Platform

## org.eclipse.rwt.widgets
Class ClusteredSynchronizer

    java.lang.Object
      org.eclipse.swt.widgets.Synchronizer
          org.eclipse.rwt.widgets.ClusteredSynchronizer

    public class ClusteredSynchronizer

extends Synchronizer

Instances of this class provide synchronization support for displays in high-availability cluster environments.

If transparent session failover in conjunction with `(a)syncExec()` is required, then this synchronizer should be used. Call `setSynchronizer()` right after the display was constructed.

Since:
  1.5
See Also:
  `Synchronizer`, `Display.setSynchronizer(org.eclipse.swt.widgets.Synchronizer)`, `Display.syncExec(Runnable)`, `Display.asyncExec(Runnable)`

Constructor Summary
`ClusteredSynchronizer(Display display)`

Method Summary
`protected void` `runnableAdded(java.lang.Runnable runnable)`

Methods inherited from class org.eclipse.swt.widgets.Synchronizer
`asyncExec, syncExec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteredSynchronizer

    public ClusteredSynchronizer(Display display)

Method Detail

### runnableAdded

    protected void runnableAdded(java.lang.Runnable runnable)

  Overrides:
    `runnableAdded` in class `Synchronizer`

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.